# Returns a list of records with the specified tenant_id Returns a list of records with the specified tenant_id Endpoint: GET /courseInstructors/{tenantId} Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The tenant ## Query parameters: - `fields` (string) The fields that you want to retrieve; if omitted, the entire object is returned - `exclusiveStartKey` (string) If paging, this allows you to return the next set of results ## Response 200 fields (application/json): - `Items` (array) - `Items.contract_uri` (string) A link to the contract - `Items.courses` (array) - `Items.courses.course_id` (string) The course this instructor is approved to teach - `Items.courses.valid_from` (string) - `Items.courses.valid_until` (string) - `Items.custom_field_values` (array) - `Items.custom_field_values.boolean_value` (boolean) The boolean value - `Items.custom_field_values.custom_field_id` (string) The unique identifier of the custom field - `Items.custom_field_values.file_url_value` (string) The pointer to a file value - `Items.custom_field_values.list_value` (array) The list value - `Items.custom_field_values.numeric_value` (number) The numeric value - `Items.custom_field_values.string_value` (string) The string value of the custom field - `Items.custom_field_values.table_value` (array) A list of objects (a table) - `Items.id` (string, required) The unique, string identifier of this course instructor - `Items.is_active` (boolean) Whether or not this course instructor is active - `Items.notes` (string) Notes on this instructor - `Items.pay_rate` (number) The contract rate for the instructor - `Items.sys_bulk_load_id` (string) If this record was loaded via bulk, the ID of the bulk load process - `Items.sys_bulk_load_record_no` (number) If this record was loaded via bulk, the record number in the source file - `Items.sys_bulk_load_source_file` (string) If this record was loaded via bulk, the source file - `Items.sys_created_at` (string, required) The date/time that this record was created, expressed in ISO-8601 date format - `Items.sys_created_by_id` (string, required) The ID of the user that created this record - `Items.sys_directive` (string) Means for passing directive information into an object processing logic - `Items.sys_external_id` (string) The ID that a record has from an external system or data import - `Items.sys_last_modified_at` (string, required) The date/time that this record record was last modified, expressed in ISO-8601 date format - `Items.sys_last_modified_by_id` (string, required) The ID of the user that last modified this record - `Items.sys_locked` (boolean) If set, this record is locked and cannot be changed via the API - `Items.sys_version` (number) A number representing the version of this record in the database - `Items.training_provider_id` (string, required) The training provider - `LastEvaluatedKey` (string) ## Response 400 fields ## Response 401 fields ## Response 404 fields ## Response 429 fields ## Response 500 fields